%define modname clamav
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A41_%{modname}.ini

Summary:	Provides a interface to ClamAV for PHP
Name:		php-%{modname}
Version:	0.12a
Release:	%mkrel 8
Group:		Development/PHP
URL:		http://phpclamavlib.org/
License:	PHP License
Source0:	php-clamavlib-%{version}.tar.bz2
Patch0:		php-clamavlib-0.12a-clamav-0.90.diff
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	clamav-devel
Requires:	clamav
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PHP ClamaAV Lib is a PHP extension that allows to incorporate virus scanning
features in your PHP scripts. It uses the Clam Antivirus API (libclamav) for
virus scanning.

%prep

%setup -q -n php-clamavlib-%{version}
%patch0 -p1

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[clamav]
clamav.dbpath="%{_localstatedir}/clamav"
clamav.maxreclevel=0
clamav.maxfiles=0
clamav.archivememlim=0
clamav.maxfilesize=0
clamav.maxratio=0
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc CHANGES CREDITS EXPERIMENTAL INSTALL clamav.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Mon Mar 05 2007 Oden Eriksson <oeriksson@mandriva.com> 0.12a-8mdv2007.0
+ Revision: 133175
- added P0 from debian to make it compile
- rebuilt against new clamav libs

* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-6mdv2007.1
+ Revision: 117545
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-5mdv2007.0
+ Revision: 78130
- fix deps
- rebuilt for php-5.2.0
- Import php-clamav



* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-3
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-1mdv2007.1
- rebuild

* Sun Jun 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-1mdv2007.0
- 0.12a

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12-4mdk
- rebuilt for php-5.1.3

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.12-3mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.12-2mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.12-1mdk
- rebuilt against php-5.1.0
- fix versioning

* Wed Oct 05 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.12-0.RC1.1mdk
- 0.12

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.11-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_0.11-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Thu Aug 18 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.11-1mdk
- initial Mandriva package
